Subject: bug#25976: man page version is outdated in Guix 0.12.0 tarball

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 05 Mar 2017 16:47:48 +0100

Hi Alex,

Alex Vong <[email-masked]> writes:

> The man page version in Guix 0.12.0 tarball[0] is outdated. When running
>
>     $ man guix
>
> the name of the man page is
>
>     guix - manual page for guix 0.11.0
>
> I think it was forgotten to be updated during the 0.12.0 release.
>
> [0]: https://alpha.gnu.org/gnu/guix/guix-0.12.0.tar.gz
>

I think we should add the generated man pages to the
MAINTAINERCLEANFILES Automake variable and document the release process
in a "README-release" file which should contain running 'make
maintainer-clean'.  There is one in Gnulib that could serve as a template:

  http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=blob;f=top/README-release;h=17f026a2c70de984450e2c662535d991e0d0a0b6;hb=HEAD

I would recommend not distributing it in the tarball however.

Documenting the release process will hopefully help not missing some step.

Thanks for the report.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37